@import "_variables";
@import "_layout";

.standard-table {
  width: 100%;
  display: flex;
  flex-flow: column;
  margin: $spacing-large auto $spacing-large;

  @include styles-for-phone-only {
    max-width: 100vw;
  }

  tr {
    display: flex;
    border-bottom: solid $lightGrey 1px;
    cursor: pointer;

    @include styles-for-phone-only {
      flex-flow: column;
      margin-bottom: $spacing-small;

      &:first-of-type {
        display: none;
      }
    }

    &.no-results {
      border-bottom: 0;
      margin: $spacing-medium 0;
      justify-content: center;
      color: $mediumGrey;
      cursor: initial;
    }
  }

  th, td {
    display: flex;
    align-items: center;
    flex: 1;
    min-height: 25px;
    padding: $spacing-mini 0 $spacing-mini $spacing-mini;

    text-align: left;
    font-size: 14px;
  }

  th {
    display: flex;
    align-items: center;

    &.cell-sortable {
      cursor: pointer;
    }

    &.cell-sorting-active {
      &:after {
        display: block !important;
        content: 'keyboard_arrow_down';
        font-family: 'Material Icons';
      }
    }

    &.cell-sorting-desc-active {
      &:after {
        display: none;
        font-family: 'Material Icons';
        content: 'keyboard_arrow_up';
      }
    }
  }
  td {
    @include styles-for-phone-only {
      display: flex;
      position: relative;

      &:before {
        width: 100px;
        content: attr(col-name);
        color: $mediumGrey;
      }
    }
  }

  &--map-active {
    margin-right: $spacing-medium;

    td, th{
      display: none;

      &:first-of-type {
        display: inherit;
      }
    }

    app-paginator {
      flex-wrap: wrap;
    }
  }
}

.filter-area {
  position: relative;
  width: 100%;
  max-width: 100vw;
  display: flex;
  justify-content: space-between;

  &__filter-buttons {
    display: flex;

    .secondary-button {
      &:first-of-type {
        margin-right: $spacing-mini;

        @include styles-for-phone-only {
          display: none;
        }
      }
    }
  }
}
